Warning: Constant DEBUG already defined in /home/grovehos/tools.grovehost.com.br/config.php on line 20 Warning: session_set_cookie_params(): Session cookie parameters cannot be changed after headers have already been sent in /home/grovehos/tools.grovehost.com.br/app/init.php on line 41 Warning: Cannot modify header information - headers already sent by (output started at /home/grovehos/tools.grovehost.com.br/config.php:20) in /home/grovehos/tools.grovehost.com.br/app/core/App.php on line 72 Warning: Cannot modify header information - headers already sent by (output started at /home/grovehos/tools.grovehost.com.br/config.php:20) in /home/grovehos/tools.grovehost.com.br/app/core/App.php on line 76 Warning: Cannot modify header information - headers already sent by (output started at /home/grovehos/tools.grovehost.com.br/config.php:20) in /home/grovehos/tools.grovehost.com.br/app/core/App.php on line 81 Warning: Undefined property: stdClass::$default_avatar in /home/grovehos/tools.grovehost.com.br/app/core/App.php on line 122 Warning: session_start(): Session cannot be started after headers have already been sent in /home/grovehos/tools.grovehost.com.br/app/helpers/sessions.php on line 36 Warning: Undefined property: stdClass::$auto_currency_detection in /home/grovehos/tools.grovehost.com.br/app/core/App.php on line 125 Gerenciadores de notificação - Documentação da API - Grove Tools

Gerenciadores de notificação

GET https://tools.grovehost.com.br/api/notification-handlers/
curl --request GET \
--url 'https://tools.grovehost.com.br/api/notification-handlers/' \
--header 'Authorization: Bearer {api_key}' \
Parâmetros Detalhes Descrição
page Opcional Inteiro O número da página de que você deseja os resultados. O padrão é 1.
results_per_page Opcional Inteiro Quantos resultados você deseja por página. Os valores permitidos são: 10 , 25 , 50 , 100 , 250 , 500 , 1000. O padrão é 25.
{
    "data": [
        {
            "id": 1,
            "type": "email",
            "name": "Work email",
            "settings": {
                "email": "hey@example.com"
            },
            "is_enabled": true,
            "last_datetime": null,
            "datetime": "2026-07-08 07:05:03",
        }
    ],
    "meta": {
        "page": 1,
        "results_per_page": 25,
        "total": 1,
        "total_pages": 1
    },
    "links": {
        "first": "https://tools.grovehost.com.br/api/notification-handlers?page=1",
        "last": "https://tools.grovehost.com.br/api/notification-handlers?page=1",
        "next": null,
        "prev": null,
        "self": "https://tools.grovehost.com.br/api/notification-handlers?page=1"
    }
}
GET https://tools.grovehost.com.br/api/notification-handlers/{notification_handler_id}
curl --request GET \
--url 'https://tools.grovehost.com.br/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
{
    "data": {
        "id": 1,
        "type": "email",
        "name": "Work email",
        "settings": {
            "email": "hey@example.com"
        },
        "is_enabled": true,
        "last_datetime": null,
        "datetime": "2026-07-08 07:05:03",
    }
}
POST https://tools.grovehost.com.br/api/notification-handlers
Warning: Undefined property: stdClass::$google_chat_is_enabled in /home/grovehos/tools.grovehost.com.br/themes/altum/views/api-documentation/notification_handlers.php on line 293 Warning: Undefined property: stdClass::$x_is_enabled in /home/grovehos/tools.grovehost.com.br/themes/altum/views/api-documentation/notification_handlers.php on line 304 Warning: Undefined property: stdClass::$push_subscriber_id_is_enabled in /home/grovehos/tools.grovehost.com.br/themes/altum/views/api-documentation/notification_handlers.php on line 339
Parâmetros Detalhes Descrição
name Obrigatório String -
type Obrigatório String Warning: Undefined property: stdClass::$x_is_enabled in /home/grovehos/tools.grovehost.com.br/app/includes/notification_handlers.php on line 22 Warning: Undefined property: stdClass::$google_chat_is_enabled in /home/grovehos/tools.grovehost.com.br/app/includes/notification_handlers.php on line 22 Warning: Undefined property: stdClass::$internal_notification_is_enabled in /home/grovehos/tools.grovehost.com.br/app/includes/notification_handlers.php on line 22 Valores permitidos: email , webhook , slack , discord , telegram , microsoft_teams
email Opcional String Disponível quando: type = email E-mail
webhook Opcional String Disponível quando: type = webhook URL do Webhook
slack Opcional String Disponível quando: type = slack URL do webhook do Slack
discord Opcional String Disponível quando: type = discord URL do webhook do Discord
telegram Opcional String Disponível quando: type = telegram Token da API do Telegram
telegram_chat_id Opcional String Disponível quando: type = telegram ID do Chat do Telegram
microsoft_teams Opcional String Disponível quando: type = microsoft_teams URL do webhook do Microsoft Teams
curl --request POST \
--url 'https://tools.grovehost.com.br/api/notification-handlers' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'type=email' \
--form 'email=hello@example.com' \
{
    "data": {
        "id": 1
    }
}
POST https://tools.grovehost.com.br/api/notification-handlers/{notification_handler_id}
Warning: Undefined property: stdClass::$google_chat_is_enabled in /home/grovehos/tools.grovehost.com.br/themes/altum/views/api-documentation/notification_handlers.php on line 538 Warning: Undefined property: stdClass::$x_is_enabled in /home/grovehos/tools.grovehost.com.br/themes/altum/views/api-documentation/notification_handlers.php on line 549 Warning: Undefined property: stdClass::$push_subscriber_id_is_enabled in /home/grovehos/tools.grovehost.com.br/themes/altum/views/api-documentation/notification_handlers.php on line 584
Parâmetros Detalhes Descrição
name Opcional String -
type Opcional String Warning: Undefined property: stdClass::$x_is_enabled in /home/grovehos/tools.grovehost.com.br/app/includes/notification_handlers.php on line 22 Warning: Undefined property: stdClass::$google_chat_is_enabled in /home/grovehos/tools.grovehost.com.br/app/includes/notification_handlers.php on line 22 Warning: Undefined property: stdClass::$internal_notification_is_enabled in /home/grovehos/tools.grovehost.com.br/app/includes/notification_handlers.php on line 22 Valores permitidos: email , webhook , slack , discord , telegram , microsoft_teams
email Opcional String Disponível quando: type = email E-mail
webhook Opcional String Disponível quando: type = webhook URL do Webhook
slack Opcional String Disponível quando: type = slack URL do webhook do Slack
discord Opcional String Disponível quando: type = discord URL do webhook do Discord
telegram Opcional String Disponível quando: type = telegram Token da API do Telegram
telegram_chat_id Opcional String Disponível quando: type = telegram ID do Chat do Telegram
microsoft_teams Opcional String Disponível quando: type = microsoft_teams URL do webhook do Microsoft Teams
is_enabled Opcional Booleano -
curl --request POST \
--url 'https://tools.grovehost.com.br/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example new name' \
--form 'is_enabled=1' \
{
    "data": {
        "id": 1
    }
}
DELETE https://tools.grovehost.com.br/api/notification-handlers/{notification_handler_id}
curl --request DELETE \
--url 'https://tools.grovehost.com.br/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \